<div id="active-story" class="active-story-wrapper">
  <h3>Active Story</h3>
  <div class="active-story-box">
    <p class="active-story-name box-label">{{data.activeStory.storyName}}</p>
    <div class="fib-list">
      {{#each data.fibArr}}
      <div data-fib-value={{value}} class="fib-item">{{value}}</div>
      {{/each}}
      <div data-fib-value="?" class="fib-item">?</div>
    </div>
    <div id="current-vote-value" class="vote-value">Please Vote!</div>
  </div>
</div>

<script>
  $(function () {
    app.currentVoter = {{{ json data.currentVoter }}};

    if(app.currentVoter.voteValue) {
      $('#current-vote-value').text(`${app.currentVoter.voteValue} Voted!`);
      $(`.fib-item[data-fib-value=${app.currentVoter.voteValue}]`).addClass('selected');
    }

    $('.fib-item').on('click', function () {
      if($(this).hasClass('disabled')) return;

      const voteValue = $(this).attr('data-fib-value');
      app.voteStoryPoint({
        voterId: app.currentVoter.voterId,
        voteValue,
      }, $(this));
    });
  });
</script>